with GNATCOM.Dispinterface;

package MSHTML.ISVGStyleElement_Object is

   type ISVGStyleElement_Type is
     new GNATCOM.Dispinterface.Dispinterface_Type with null record;

   procedure Put_type
     (This : ISVGStyleElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_type
     (This : ISVGStyleElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_media
     (This : ISVGStyleElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_media
     (This : ISVGStyleElement_Type)
     return GNATCOM.Types.VARIANT;

end MSHTML.ISVGStyleElement_Object;

